QGIS Application - Bug report #11776
Crash after delete single line
2014-12-01 11:15 PM - Alexander Novoselov

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 20004
Description

ubuntugis-unstable, ubuntu 14.04

1) go edit mode on postgis layer
2) select single line

3) use Delete Selected

4) crash

Warning: QGraphicsScene::addltem: item has already been added to this scene

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".

[New Thread 0x986ffb40 (LWP 31192)]

[New Thread 0x9905db40 (LWP 31191)]

[New Thread 0xa66dbb40 (LWP 31190)]

[New Thread 0x9985eb40 (LWP 31189)]

[New Thread Oxa5cffb40 (LWP 25564)]

[New Thread Oxab3dcb40 (LWP 25548)]

[New Thread 0xabd05b40 (LWP 25547)]

[New Thread Oxacbc9b40 (LWP 25449)]

[New Thread Oxad513b40 (LWP 25448)]

0xb28743aa in g_hash_table_lookup () from /lib/i386-linux-gnu/libglib-2.0.s0.0

[Current thread is 1 (Thread Oxafba3740 (LWP 25447))]

#0 0xb28743aa in g_hash_table_lookup () from /lib/i386-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#1 0xb295d6f6 in g_signal_emit_valist () from /usr/lib/i386-linux-gnu/libgobject-2.0.s0.0

No symbol table info available.

#2 0xb295e443 in g_signal_emit () from /usr/lib/i386-linux-gnu/libgobject-2.0.s0.0

No symbol table info available.

#3 Oxadeace4a in gtk_adjustment_value_changed () from /usr/lib/i386-linux-gnu/libgtk-x11-2.0.s0.0
No symbol table info available.

#4 0xb3d2ebf9 in QGtkStyle::drawControl(QStyle::ControlElement, QStyleOption const*, QPainter*, QWidget const*) const () from
/usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#5 Oxb3ceb4efin ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#6 0xb3cb7a73 in QCommonStyle::drawControl(QStyle::ControlElement, QStyleOption const*, QPainter*, QWidget const*) const () from
/usr/lib/i386-linux-gnu/libQtGui.so0.4

No symbol table info available.

#7 0xb3d62af8 in QWindowsStyle::drawControl(QStyle::ControlElement, QStyleOption const*, QPainter*, QWidget const*) const () from
/usr/lib/i386-linux-gnu/libQtGui.so.4
No symbol table info available.

#8 0xb3ce600e in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#9 0xb3e1d272 in QProgressBar::paintEvent(QPaintEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0xb39aa152 in QWidget::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#11 0xb3e1df9e in QProgressBar::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0xb394fed4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4
No symbol table info available.

#13 0xb39553a2 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 Oxb4d46cf1 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.s0.2.6.0

No symbol table info available.

#15 0xb446497e in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.s0.4
No symbol table info available.

#16 0xb39ab5ada in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,
QWidgetBackingStore*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0xb39a6882 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint
const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0xb39a5838 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,
QWidgetBackingStore*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0xb39a6882 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint
const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0xb39a5838 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter™,
QWidgetBackingStore*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0xb3b9ee10 in ?7? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#22 0xb399b9db in QWidgetPrivate::syncBackingStore() () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0xb39aaae? in QWidget::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0xb3de532c in QMainWindow::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x0815d83f in QgisApp::event(QEvent*) ()

No symbol table info available.

#26 0xb394fed4 in QApplicationPrivate::notify _helper(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4
No symbol table info available.

#27 0xb39553a2 in QApplication::notify(QObject*, QEvent*®) () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 Oxb4d46cf1 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.s0.2.6.0

No symbol table info available.

#29 0xb446497e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
No symbol table info available.

#30 0xb4468ad8 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from
/usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.
#31 0xb4468e0c in QCoreApplication::sendPostedEvents(QObject™, int) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
No symbol table info available.

#32 0xb4497494 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#33 0xb2884d46 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#34 0xb28850e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#35 0xb28851c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#36 0xb4497887 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/i386-linux-gnu/libQtCore.so0.4

No symbol table info available.

#37 0xb3a08afa in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#38 0xb446350d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/i386-linux-gnu/libQtCore.so.4

No symbol table info available.

#39 0xb44637a9 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so0.4
No symbol table info available.

#40 0xb4468eba in QCoreApplication::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so0.4

No symbol table info available.

#41 0xb394da74 in QApplication::exec() () from /usr/lib/i386-linux-gnu/libQtGui.so.4

No symbol table info available.

#42 0x0811d734 in main ()

No symbol table info available.

gdb returned 0

History

#1 - 2014-12-01 11:16 PM - Alexander Novoselov

FIX!!! ubuntu 12.04 32bit

#2 - 2014-12-02 12:12 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category set to Vectors

any layer type? it happens in all projects? or just some? Please attach sample data.

the same questions apply for #11775

seems anyway you could have local issues, as this problems are (clearly) not affecting the vast majority of users. Could of course be a qgis issue anyway,

but without more details/data/projects we cannot do much.

#3 - 2015-05-10 02:23 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

2025-12-15 3/4




closing for lack of feedback.
